Crear un workspace para el usuario autenticado
curl --request POST \
--url https://api-prod.studio.getsupervisor.ai/v1/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "<string>",
"workspaceName": "<string>",
"phone": "<string>"
}
'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/workspaces"
payload = {
"fullName": "<string>",
"workspaceName": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fullName: '<string>', workspaceName: '<string>', phone: '<string>'})
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Workspaces
Crear un workspace para el usuario autenticado
Crea el espacio de trabajo del usuario autenticado. Como efecto colateral aprovisiona la cuenta en el sistema propietario (Speech Analytics) vía M2M, registra al usuario localmente y habilita el workspace de forma desacoplada. Pensado para el alta directa desde Agents Studio.
POST
/
v1
/
workspaces
Crear un workspace para el usuario autenticado
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Workspace creado
Identificador del workspace recién creado.
⌘I
